locked
Why does my Clickonce deployment suddenly require Microsoft.SqlServer.Diagnostics.STrace? RRS feed

  • Question

  • I made a simple change to my VS2017 Clickonce application, but when I try to install it, it fails because "the application requires that Microsoft.SQLServer.Diagnostics.STrace Version 0.0.0.0 be installed in the Global Assembly Cache first"

    I don't know what could have caused this and, more importantly, how to fix it

    How do I find the reference and remove it?

    The only system type change made recently was to move to .net framework 4.6.1 

    I've got to get around this in a hurry.  A very simple bug is holding up production.

    Thanks  David


    David Gordon-Brown

    Wednesday, January 3, 2018 2:28 PM

Answers

All replies

  • Update: I have tried moving back to .net 4.5 but the problem didn't go away.

    I don't know if it's related, but there is also another error that appears in the Error list when I Publish

    Warning Item '.NETFramework,Version=v4.5' could not be located in 'C:\Program Files (x86)\Microsoft SDKs\ClickOnce Bootstrapper\'.

    I don't know if this is connected to the problem?


    David Gordon-Brown

    Wednesday, January 3, 2018 3:02 PM
  • Hi David,

    >>the application requires that Microsoft.SQLServer.Diagnostics.STrace Version 0.0.0.0 be installed in the Global Assembly Cache first

    Please refer to the following solutions:

    Unable to install or run the application…in Desktop Application

    How to install Microsoft.SqlServer.Diagnostic.STrace v 10.0.0.0 on a customer PC ?

    Regards,

    Stanly


    MSDN Community Support
    Please remember to click "Mark as Answer" the responses that resolved your issue, and to click "Unmark as Answer" if not. This can be beneficial to other community members reading this thread. If you have any compliments or complaints to MSDN Support, feel free to contact MSDNFSF@microsoft.com.

    • Marked as answer by David GB Thursday, January 4, 2018 11:04 AM
    Thursday, January 4, 2018 1:57 AM